Benutzerhandbuch
Version 1.9 — Rev. 3

# Skript-Handler

Der Skript-Handler legt fest, wie der Server Skripte mit bestimmten Suffixen verarbeitet. Jede Definition ordnet ein Skriptsuffix einem Handler-Typ und, falls erforderlich, einer zuvor definierten externen Anwendung zu.

### Suffixe

#### Beschreibung

Gibt die Suffixe der Skriptdateien an, die von diesem Skript-Handler verarbeitet werden. Suffixe müssen eindeutig sein.

#### Syntax

Durch Kommas getrennte Liste; das Punktzeichen "." ist nicht zulässig.

#### Tipps

Information Der Server fügt automatisch einen speziellen MIME-Typ ("application/x-httpd-[suffix]") für das erste Suffix in der Liste hinzu. Zum Beispiel wird der MIME-Typ "application/x-httpd-php53" für das Suffix "php53" hinzugefügt. Weitere Suffixe müssen in den MIME-Einstellungen-Einstellungen eingerichtet werden.
Obwohl in diesem Feld Suffixe aufgeführt werden, verwenden Skript-Handler MIME-Typen und nicht Suffixe, um zu entscheiden, welche Skripte verarbeitet werden.
Performance Security Geben Sie nur die Suffixe an, die Sie wirklich benötigen.

### Handler-Typ

#### Beschreibung

Gibt den Typ der externen Anwendung an, die diese Skriptdateien verarbeitet. Verfügbare Typen sind: LSAPI app, Web Server (Proxy), Fast CGI, SCGI, CGI, Load balancer, Servlet Engine, uWSGI oder Module Handler. Mit Ausnahme der Handler-Typen CGI und Module Handler muss Handler-Name ebenfalls auf eine zuvor im Abschnitt Externe Anwendungen definierte externe Anwendung gesetzt werden.

#### Syntax

Aus Dropdown-Liste auswählen

### Handler-Name

#### Beschreibung

Gibt den Namen der externen Anwendung an, die die Skriptdateien verarbeitet, wenn der Handler-Typ LSAPI app, Web Server (Proxy), Fast CGI, SCGI, Load balancer, Servlet Engine oder uWSGI ist.

#### Syntax

Aus Dropdown-Liste auswählen